maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SimpleJSON Class Reference
Collaboration diagram for SimpleJSON:

## Public Member Functions
SimpleJSON & | begin_object ()
SimpleJSON & | end_object ()
SimpleJSON & | begin_array ()
SimpleJSON & | end_array ()
SimpleJSON & | key (const std::string &k)
SimpleJSON & | value (const std::string &v)
SimpleJSON & | value (int64_t v)
SimpleJSON & | value (double v)
SimpleJSON & | value (bool v)
SimpleJSON & | raw (const std::string &r)
SimpleJSON & | comma ()
std::string | str () const

## Detailed Description

Definition at line 116 of file maph_server_simple.cpp.

## Member Function Documentation

## ◆ begin_array()

SimpleJSON & SimpleJSON::begin_array | ( |  | ) |
| inline

Definition at line 123 of file maph_server_simple.cpp.

Referenced by StoreRegistry::list_json(), and main().

Here is the caller graph for this function:

## ◆ begin_object()

SimpleJSON & SimpleJSON::begin_object | ( |  | ) |
| inline

Definition at line 121 of file maph_server_simple.cpp.

Referenced by StoreRegistry::list_json(), and main().

Here is the caller graph for this function:

## ◆ comma()

SimpleJSON & SimpleJSON::comma | ( |  | ) |
| inline

Definition at line 158 of file maph_server_simple.cpp.

Referenced by StoreRegistry::list_json().

Here is the caller graph for this function:

## ◆ end_array()

SimpleJSON & SimpleJSON::end_array | ( |  | ) |
| inline

Definition at line 124 of file maph_server_simple.cpp.

Referenced by StoreRegistry::list_json(), and main().

Here is the caller graph for this function:

## ◆ end_object()

SimpleJSON & SimpleJSON::end_object | ( |  | ) |
| inline

Definition at line 122 of file maph_server_simple.cpp.

Referenced by main().

Here is the caller graph for this function:

## ◆ key()

SimpleJSON & SimpleJSON::key | ( | const std::string & | k | ) |
| inline

Definition at line 126 of file maph_server_simple.cpp.

Referenced by StoreRegistry::list_json(), and main().

Here is the caller graph for this function:

## ◆ raw()

SimpleJSON & SimpleJSON::raw | ( | const std::string & | r | ) |
| inline

Definition at line 153 of file maph_server_simple.cpp.

## ◆ str()

std::string SimpleJSON::str | ( |  | ) | const
| inline

Definition at line 164 of file maph_server_simple.cpp.

Referenced by StoreRegistry::list_json(), and main().

Here is the caller graph for this function:

## ◆ value() [1/4]

SimpleJSON & SimpleJSON::value | ( | bool | v | ) |
| inline

Definition at line 148 of file maph_server_simple.cpp.

## ◆ value() [2/4]

SimpleJSON & SimpleJSON::value | ( | const std::string & | v | ) |
| inline

Definition at line 133 of file maph_server_simple.cpp.

Referenced by StoreRegistry::list_json(), and main().

Here is the caller graph for this function:

## ◆ value() [3/4]

SimpleJSON & SimpleJSON::value | ( | double | v | ) |
| inline

Definition at line 143 of file maph_server_simple.cpp.

## ◆ value() [4/4]

SimpleJSON & SimpleJSON::value | ( | int64_t | v | ) |
| inline

Definition at line 138 of file maph_server_simple.cpp.

The documentation for this class was generated from the following file:

- integrations/rest_api/maph_server_simple.cpp